xine-lib: pgx64_driver_t Struct Reference

xine-lib 1.2.12

Data Fields
pgx64_driver_t Struct Reference

## Data Fields
vo_driver_t | vo_driver
vo_scale_t | vo_scale
pgx64_driver_class_t * | class
Display * | display
int | screen
int | depth
Drawable | drawable
Dga_drawable | dgadraw
GC | gc
Visual * | visual
Colormap | cmap
fb_type_t | fb_type
int | devfd
int | fb_width
int | fb_depth
int | free_top
int | free_bottom
int | free_mark
int | buffers [2][3]
uint32_t | yuv12_native_format
uint32_t | yuv12_align
uint32_t | vyuy422_native_format
uint32_t | vyuy422_align
uint8_t * | vbase
uint8_t * | buffer_ptrs [2][3]
volatile uint32_t * | vregs
pgx64_frame_t * | current
pgx64_frame_t * | multibuf [15]
pgx64_frame_t * | detained [10]
int | multibuf_frames
int | detained_frames
int | chromakey_en
int | chromakey_changed
int | chromakey_regen_needed
pthread_mutex_t | chromakey_mutex
pgx64_overlay_t * | first_overlay
buf_mode_t | buf_mode
int | multibuf_en
int | dblbuf_select
int | delivered_format
int | colour_key
int | colour_key_rgb
int | brightness
int | saturation
int | deinterlace_en
alphablend_t | alphablend_extra_data

## Field Documentation

## ◆ alphablend_extra_data

alphablend_t pgx64_driver_t::alphablend_extra_data

## ◆ brightness

int pgx64_driver_t::brightness

## ◆ buf_mode

buf_mode_t pgx64_driver_t::buf_mode

## ◆ buffer_ptrs

uint8_t * pgx64_driver_t::buffer_ptrs[2][3]

## ◆ buffers

int pgx64_driver_t::buffers[2][3]

## ◆ chromakey_changed

int pgx64_driver_t::chromakey_changed

## ◆ chromakey_en

int pgx64_driver_t::chromakey_en

## ◆ chromakey_mutex

pthread_mutex_t pgx64_driver_t::chromakey_mutex

## ◆ chromakey_regen_needed

int pgx64_driver_t::chromakey_regen_needed

## ◆ class

pgx64_driver_class_t* pgx64_driver_t::class

## ◆ cmap

Colormap pgx64_driver_t::cmap

## ◆ colour_key

int pgx64_driver_t::colour_key

## ◆ colour_key_rgb

int pgx64_driver_t::colour_key_rgb

## ◆ current

pgx64_frame_t* pgx64_driver_t::current

## ◆ dblbuf_select

int pgx64_driver_t::dblbuf_select

## ◆ deinterlace_en

int pgx64_driver_t::deinterlace_en

## ◆ delivered_format

int pgx64_driver_t::delivered_format

## ◆ depth

int pgx64_driver_t::depth

## ◆ detained

pgx64_frame_t* pgx64_driver_t::detained[10]

## ◆ detained_frames

int pgx64_driver_t::detained_frames

## ◆ devfd

int pgx64_driver_t::devfd

## ◆ dgadraw

Dga_drawable pgx64_driver_t::dgadraw

## ◆ display

Display* pgx64_driver_t::display

## ◆ drawable

Drawable pgx64_driver_t::drawable

## ◆ fb_depth

int pgx64_driver_t::fb_depth

## ◆ fb_type

fb_type_t pgx64_driver_t::fb_type

## ◆ fb_width

int pgx64_driver_t::fb_width

## ◆ first_overlay

pgx64_overlay_t* pgx64_driver_t::first_overlay

## ◆ free_bottom

int pgx64_driver_t::free_bottom

## ◆ free_mark

int pgx64_driver_t::free_mark

## ◆ free_top

int pgx64_driver_t::free_top

## ◆ gc

GC pgx64_driver_t::gc

## ◆ multibuf

pgx64_frame_t* pgx64_driver_t::multibuf[15]

## ◆ multibuf_en

int pgx64_driver_t::multibuf_en

## ◆ multibuf_frames

int pgx64_driver_t::multibuf_frames

## ◆ saturation

int pgx64_driver_t::saturation

## ◆ screen

int pgx64_driver_t::screen

## ◆ vbase

uint8_t* pgx64_driver_t::vbase

## ◆ visual

Visual* pgx64_driver_t::visual

## ◆ vo_driver

vo_driver_t pgx64_driver_t::vo_driver

## ◆ vo_scale

vo_scale_t pgx64_driver_t::vo_scale

## ◆ vregs

volatile uint32_t* pgx64_driver_t::vregs

## ◆ vyuy422_align

uint32_t pgx64_driver_t::vyuy422_align

## ◆ vyuy422_native_format

uint32_t pgx64_driver_t::vyuy422_native_format

## ◆ yuv12_align

uint32_t pgx64_driver_t::yuv12_align

## ◆ yuv12_native_format

uint32_t pgx64_driver_t::yuv12_native_format

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/video_out_pgx64.c